Bug 25378

Summary: [Fortran 2003] maxloc for all-false mask
Product: gcc Reporter: Thomas Koenig <tkoenig>
Component: libfortranAssignee: Paul Thomas <pault>
Status: RESOLVED FIXED    
Severity: enhancement CC: gcc-bugs
Priority: P3    
Version: 4.2.0   
Target Milestone: ---   
Host: Target:
Build: Known to work:
Known to fail: Last reconfirmed: 2006-01-10 04:32:35
Bug Depends on:    
Bug Blocks: 20585    

Description Thomas Koenig 2005-12-12 21:43:37 UTC
When the mask is all false, F95 leaves it to the processor what
to return for maxloc, minloc etc.  F2003 specifies 0.  We currently
use 1, but changing this to 0 would make sense.

$ cat m.f90
program main
  real, dimension(2) :: a
  logical, dimension(2) :: fa
  fa = .false.
  print *,maxloc(a,fa)
end program main
$ gfortran m.f90
$ ./a.out
           1
Comment 1 Andrew Pinski 2006-01-10 04:32:35 UTC
Confirmed.
Comment 2 Paul Thomas 2006-03-08 21:44:42 UTC
I have a patch which is just now regtesting.  It does the obvious:

set initial index = 0
if (the max/min condition is met or index = 0)
  {
     set index to the current position
     update the value for comparison
  }

This has been done in trans-intrinsic.c and in the library.  Have updated the present testcases; I do not see a need for any more.

Will submit in the morning.

Paul
Comment 3 patchapp@dberlin.org 2006-03-09 00:25:41 UTC
Subject: Bug number PR25378

A patch for this bug has been added to the patch tracker.
The mailing list url for the patch is http://gcc.gnu.org/ml/gcc-patches/2006-03/msg00477.html
Comment 4 Paul Thomas 2006-03-13 22:50:04 UTC
Subject: Bug 25378

Author: pault
Date: Mon Mar 13 22:49:56 2006
New Revision: 112028

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=112028
Log:
2006-03-13  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	* trans-intrinsic.c (gfc_conv_intrinsic_minmaxloc): Set the initial position to zero and
	modify the condition for updating it, to implement the F2003 requirement for all(mask)
	is false.

2006-03-13  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	* libgfortran/m4/minloc1.m4: Set the initial position to zero and modify the condition for
	updating it, to implement the F2003 requirement for all(mask).eq.false.
	* libgfortran/m4/maxloc1.m4: The same.
	* libgfortran/m4/iforeach.m4: The same.
	* libgfortran/m4/minloc0.m4: The same.
	* libgfortran/m4/maxloc0.m4: The same.
	* libgfortran/generated/maxloc0_16_i16.c: Regenerated, together with 41 others.
	* libgfortran/generated/minloc0_16_i16.c: Regenerated, together with 41 others.

2006-03-13  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	* gfortran.fortran-torture/execute/intrinsic_mmloc_3.f90: Expand test to include more
	permuatations of mask and index.
	* testsuite/gfortran.dg/scalar_mask_1.f90: Modify last test to respond to F2003 spec.
	that the position returned for an all false mask && condition is zero.

Modified:
    trunk/configure
    trunk/gcc/fortran/ChangeLog
    trunk/gcc/fortran/trans-intrinsic.c
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gfortran.dg/scalar_mask_1.f90
    trunk/gcc/testsuite/gfortran.fortran-torture/execute/intrinsic_mmloc_3.f90
    trunk/libgfortran/ChangeLog
    trunk/libgfortran/generated/maxloc0_16_i16.c
    trunk/libgfortran/generated/maxloc0_16_i4.c
    trunk/libgfortran/generated/maxloc0_16_i8.c
    trunk/libgfortran/generated/maxloc0_16_r10.c
    trunk/libgfortran/generated/maxloc0_16_r16.c
    trunk/libgfortran/generated/maxloc0_16_r4.c
    trunk/libgfortran/generated/maxloc0_16_r8.c
    trunk/libgfortran/generated/maxloc0_4_i16.c
    trunk/libgfortran/generated/maxloc0_4_i4.c
    trunk/libgfortran/generated/maxloc0_4_i8.c
    trunk/libgfortran/generated/maxloc0_4_r10.c
    trunk/libgfortran/generated/maxloc0_4_r16.c
    trunk/libgfortran/generated/maxloc0_4_r4.c
    trunk/libgfortran/generated/maxloc0_4_r8.c
    trunk/libgfortran/generated/maxloc0_8_i16.c
    trunk/libgfortran/generated/maxloc0_8_i4.c
    trunk/libgfortran/generated/maxloc0_8_i8.c
    trunk/libgfortran/generated/maxloc0_8_r10.c
    trunk/libgfortran/generated/maxloc0_8_r16.c
    trunk/libgfortran/generated/maxloc0_8_r4.c
    trunk/libgfortran/generated/maxloc0_8_r8.c
    trunk/libgfortran/generated/maxloc1_16_i16.c
    trunk/libgfortran/generated/maxloc1_16_i4.c
    trunk/libgfortran/generated/maxloc1_16_i8.c
    trunk/libgfortran/generated/maxloc1_16_r10.c
    trunk/libgfortran/generated/maxloc1_16_r16.c
    trunk/libgfortran/generated/maxloc1_16_r4.c
    trunk/libgfortran/generated/maxloc1_16_r8.c
    trunk/libgfortran/generated/maxloc1_4_i16.c
    trunk/libgfortran/generated/maxloc1_4_i4.c
    trunk/libgfortran/generated/maxloc1_4_i8.c
    trunk/libgfortran/generated/maxloc1_4_r10.c
    trunk/libgfortran/generated/maxloc1_4_r16.c
    trunk/libgfortran/generated/maxloc1_4_r4.c
    trunk/libgfortran/generated/maxloc1_4_r8.c
    trunk/libgfortran/generated/maxloc1_8_i16.c
    trunk/libgfortran/generated/maxloc1_8_i4.c
    trunk/libgfortran/generated/maxloc1_8_i8.c
    trunk/libgfortran/generated/maxloc1_8_r10.c
    trunk/libgfortran/generated/maxloc1_8_r16.c
    trunk/libgfortran/generated/maxloc1_8_r4.c
    trunk/libgfortran/generated/maxloc1_8_r8.c
    trunk/libgfortran/generated/minloc0_16_i16.c
    trunk/libgfortran/generated/minloc0_16_i4.c
    trunk/libgfortran/generated/minloc0_16_i8.c
    trunk/libgfortran/generated/minloc0_16_r10.c
    trunk/libgfortran/generated/minloc0_16_r16.c
    trunk/libgfortran/generated/minloc0_16_r4.c
    trunk/libgfortran/generated/minloc0_16_r8.c
    trunk/libgfortran/generated/minloc0_4_i16.c
    trunk/libgfortran/generated/minloc0_4_i4.c
    trunk/libgfortran/generated/minloc0_4_i8.c
    trunk/libgfortran/generated/minloc0_4_r10.c
    trunk/libgfortran/generated/minloc0_4_r16.c
    trunk/libgfortran/generated/minloc0_4_r4.c
    trunk/libgfortran/generated/minloc0_4_r8.c
    trunk/libgfortran/generated/minloc0_8_i16.c
    trunk/libgfortran/generated/minloc0_8_i4.c
    trunk/libgfortran/generated/minloc0_8_i8.c
    trunk/libgfortran/generated/minloc0_8_r10.c
    trunk/libgfortran/generated/minloc0_8_r16.c
    trunk/libgfortran/generated/minloc0_8_r4.c
    trunk/libgfortran/generated/minloc0_8_r8.c
    trunk/libgfortran/generated/minloc1_16_i16.c
    trunk/libgfortran/generated/minloc1_16_i4.c
    trunk/libgfortran/generated/minloc1_16_i8.c
    trunk/libgfortran/generated/minloc1_16_r10.c
    trunk/libgfortran/generated/minloc1_16_r16.c
    trunk/libgfortran/generated/minloc1_16_r4.c
    trunk/libgfortran/generated/minloc1_16_r8.c
    trunk/libgfortran/generated/minloc1_4_i16.c
    trunk/libgfortran/generated/minloc1_4_i4.c
    trunk/libgfortran/generated/minloc1_4_i8.c
    trunk/libgfortran/generated/minloc1_4_r10.c
    trunk/libgfortran/generated/minloc1_4_r16.c
    trunk/libgfortran/generated/minloc1_4_r4.c
    trunk/libgfortran/generated/minloc1_4_r8.c
    trunk/libgfortran/generated/minloc1_8_i16.c
    trunk/libgfortran/generated/minloc1_8_i4.c
    trunk/libgfortran/generated/minloc1_8_i8.c
    trunk/libgfortran/generated/minloc1_8_r10.c
    trunk/libgfortran/generated/minloc1_8_r16.c
    trunk/libgfortran/generated/minloc1_8_r4.c
    trunk/libgfortran/generated/minloc1_8_r8.c
    trunk/libgfortran/m4/iforeach.m4
    trunk/libgfortran/m4/maxloc0.m4
    trunk/libgfortran/m4/maxloc1.m4
    trunk/libgfortran/m4/minloc0.m4
    trunk/libgfortran/m4/minloc1.m4

Comment 5 Thomas Koenig 2006-03-27 20:05:34 UTC
Subject: Bug 25378

Author: tkoenig
Date: Mon Mar 27 20:05:24 2006
New Revision: 112425

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=112425
Log:
2006-03-27  Thomas Koenig  <Thomas.Koenig@online.de>

	PR fortran/20935
	Backport from mainline
	* m4/iforeach.m4:  Add SCALAR_FOREACH_FUNCTION macro.
	* m4/ifunction.m4:  Add SCALAR_ARRAY_FUNCTION macro.
	* m4/minloc0.m4:  Use SCALAR_FOREACH_FUNCTION.
	* m4/minloc1.m4:  Use SCALAR_ARRAY_FUNCTION.
	* m4/maxloc0.m4:  Use SCALAR_FOREACH_FUNCTION.
	* m4/maxloc1.m4:  Use SCALAR_ARRAY_FUNCTION.
	* m4/minval.m4:  Likewise.
	* m4/maxval.m4:  Likewise.
	* m4/product.m4:  Likewise.
	* m4/sum.m4:  Likewise.
	* minloc0_16_i16.c : Regenerated.
	* minloc0_16_i4.c : Regenerated.
	* minloc0_16_i8.c : Regenerated.
	* minloc0_16_r10.c : Regenerated.
	* minloc0_16_r16.c : Regenerated.
	* minloc0_16_r4.c : Regenerated.
	* minloc0_16_r8.c : Regenerated.
	* minloc0_4_i16.c : Regenerated.
	* minloc0_4_i4.c : Regenerated.
	* minloc0_4_i8.c : Regenerated.
	* minloc0_4_r10.c : Regenerated.
	* minloc0_4_r16.c : Regenerated.
	* minloc0_4_r4.c : Regenerated.
	* minloc0_4_r8.c : Regenerated.
	* minloc0_8_i16.c : Regenerated.
	* minloc0_8_i4.c : Regenerated.
	* minloc0_8_i8.c : Regenerated.
	* minloc0_8_r10.c : Regenerated.
	* minloc0_8_r16.c : Regenerated.
	* minloc0_8_r4.c : Regenerated.
	* minloc0_8_r8.c : Regenerated.
	* minloc1_16_i16.c : Regenerated.
	* minloc1_16_i4.c : Regenerated.
	* minloc1_16_i8.c : Regenerated.
	* minloc1_16_r10.c : Regenerated.
	* minloc1_16_r16.c : Regenerated.
	* minloc1_16_r4.c : Regenerated.
	* minloc1_16_r8.c : Regenerated.
	* minloc1_4_i16.c : Regenerated.
	* minloc1_4_i4.c : Regenerated.
	* minloc1_4_i8.c : Regenerated.
	* minloc1_4_r10.c : Regenerated.
	* minloc1_4_r16.c : Regenerated.
	* minloc1_4_r4.c : Regenerated.
	* minloc1_4_r8.c : Regenerated.
	* minloc1_8_i16.c : Regenerated.
	* minloc1_8_i4.c : Regenerated.
	* minloc1_8_i8.c : Regenerated.
	* minloc1_8_r10.c : Regenerated.
	* minloc1_8_r16.c : Regenerated.
	* minloc1_8_r4.c : Regenerated.
	* minloc1_8_r8.c : Regenerated.
	* maxloc0_16_i16.c : Regenerated.
	* maxloc0_16_i4.c : Regenerated.
	* maxloc0_16_i8.c : Regenerated.
	* maxloc0_16_r10.c : Regenerated.
	* maxloc0_16_r16.c : Regenerated.
	* maxloc0_16_r4.c : Regenerated.
	* maxloc0_16_r8.c : Regenerated.
	* maxloc0_4_i16.c : Regenerated.
	* maxloc0_4_i4.c : Regenerated.
	* maxloc0_4_i8.c : Regenerated.
	* maxloc0_4_r10.c : Regenerated.
	* maxloc0_4_r16.c : Regenerated.
	* maxloc0_4_r4.c : Regenerated.
	* maxloc0_4_r8.c : Regenerated.
	* maxloc0_8_i16.c : Regenerated.
	* maxloc0_8_i4.c : Regenerated.
	* maxloc0_8_i8.c : Regenerated.
	* maxloc0_8_r10.c : Regenerated.
	* maxloc0_8_r16.c : Regenerated.
	* maxloc0_8_r4.c : Regenerated.
	* maxloc0_8_r8.c : Regenerated.
	* maxloc1_16_i16.c : Regenerated.
	* maxloc1_16_i4.c : Regenerated.
	* maxloc1_16_i8.c : Regenerated.
	* maxloc1_16_r10.c : Regenerated.
	* maxloc1_16_r16.c : Regenerated.
	* maxloc1_16_r4.c : Regenerated.
	* maxloc1_16_r8.c : Regenerated.
	* maxloc1_4_i16.c : Regenerated.
	* maxloc1_4_i4.c : Regenerated.
	* maxloc1_4_i8.c : Regenerated.
	* maxloc1_4_r10.c : Regenerated.
	* maxloc1_4_r16.c : Regenerated.
	* maxloc1_4_r4.c : Regenerated.
	* maxloc1_4_r8.c : Regenerated.
	* maxloc1_8_i16.c : Regenerated.
	* maxloc1_8_i4.c : Regenerated.
	* maxloc1_8_i8.c : Regenerated.
	* maxloc1_8_r10.c : Regenerated.
	* maxloc1_8_r16.c : Regenerated.
	* maxloc1_8_r4.c : Regenerated.
	* maxloc1_8_r8.c : Regenerated.
	* maxval_i16.c : Regenerated.
	* maxval_i4.c : Regenerated.
	* maxval_i8.c : Regenerated.
	* maxval_r10.c : Regenerated.
	* maxval_r16.c : Regenerated.
	* maxval_r4.c : Regenerated.
	* maxval_r8.c : Regenerated.
	* minval_i16.c : Regenerated.
	* minval_i4.c : Regenerated.
	* minval_i8.c : Regenerated.
	* minval_r10.c : Regenerated.
	* minval_r16.c : Regenerated.
	* minval_r4.c : Regenerated.
	* minval_r8.c : Regenerated.
	* sum_c10.c : Regenerated.
	* sum_c16.c : Regenerated.
	* sum_c4.c : Regenerated.
	* sum_c8.c : Regenerated.
	* sum_i16.c : Regenerated.
	* sum_i4.c : Regenerated.
	* sum_i8.c : Regenerated.
	* sum_r10.c : Regenerated.
	* sum_r16.c : Regenerated.
	* sum_r4.c : Regenerated.
	* sum_r8.c : Regenerated.
	* product_c10.c : Regenerated.
	* product_c16.c : Regenerated.
	* product_c4.c : Regenerated.
	* product_c8.c : Regenerated.
	* product_i16.c : Regenerated.
	* product_i4.c : Regenerated.
	* product_i8.c : Regenerated.
	* product_r10.c : Regenerated.
	* product_r16.c : Regenerated.
	* product_r4.c : Regenerated.
	* product_r8.c : Regenerated.

2006-03-27  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	Backport from mainline
	* libgfortran/m4/minloc1.m4: Set the initial position to zero and
	modify the condition for updating it, to implement the F2003
	requirement for all(mask).eq.false.
	* libgfortran/m4/maxloc1.m4: The same.
	* libgfortran/m4/iforeach.m4: The same.
	* libgfortran/m4/minloc0.m4: The same.
	* libgfortran/m4/maxloc0.m4: The same.
	* libgfortran/generated/maxloc0_16_i16.c: Regenerated, together
	with 41 others.
	* libgfortran/generated/minloc0_16_i16.c: Regenerated, together
	with 41 others.

2006-03-27  Thomas Koenig  <Thomas.Koenig@online.de>

	PR fortran/20935
	Backport from mainline
	* iresolve.c (gfc_resolve_maxloc):   If mask is scalar,
	prefix the function name with an "s".  If the mask is scalar
	or if its kind is smaller than gfc_default_logical_kind,
	coerce it to default kind.
	(gfc_resolve_maxval):  Likewise.
	(gfc_resolve_minloc):  Likewise.
	(gfc_resolve_minval):  Likewise.
	(gfc_resolve_product):  Likewise.
	(gfc_resolve_sum):  Likewise.

2006-03-27  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	Backport from mainline
	* trans-intrinsic.c (gfc_conv_intrinsic_minmaxloc): Set the
	initial position to zero and modify the condition for updating
	it, to implement the F2003 requirement for all(mask) is false.

2006-03-27  Thomas Koenig  <Thomas.Koenig@online.de>

	PR fortran/20935
	Backport from mainline
	* gfortran.dg/scalar_mask_2.f90:  New test case.

2006-03-27  Paul Thomas  <pault@gcc.gnu.org>

	PR fortran/25378
	Backport from mainline
	* gfortran.fortran-torture/execute/intrinsic_mmloc_3.f90: Expand
	test to include more permuatations of mask and index.
	* testsuite/gfortran.dg/scalar_mask_1.f90: Modify last test to
	respond to F2003 spec. that the position returned for an all false
	mask && condition is zero.


Added:
    branches/gcc-4_1-branch/gcc/testsuite/gfortran.dg/scalar_mask_2.f90
Modified:
    branches/gcc-4_1-branch/gcc/fortran/ChangeLog
    branches/gcc-4_1-branch/gcc/fortran/iresolve.c
    branches/gcc-4_1-branch/gcc/fortran/trans-intrinsic.c
    branches/gcc-4_1-branch/gcc/testsuite/ChangeLog
    branches/gcc-4_1-branch/gcc/testsuite/gfortran.dg/scalar_mask_1.f90
    branches/gcc-4_1-branch/gcc/testsuite/gfortran.fortran-torture/execute/intrinsic_mmloc_3.f90
    branches/gcc-4_1-branch/libgfortran/ChangeLog
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_16_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_4_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc0_8_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_16_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_4_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxloc1_8_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/maxval_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_16_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_4_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc0_8_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_16_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_4_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minloc1_8_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/minval_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/product_c10.c
    branches/gcc-4_1-branch/libgfortran/generated/product_c16.c
    branches/gcc-4_1-branch/libgfortran/generated/product_c4.c
    branches/gcc-4_1-branch/libgfortran/generated/product_c8.c
    branches/gcc-4_1-branch/libgfortran/generated/product_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/product_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/product_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/product_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/product_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/product_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/product_r8.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_c10.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_c16.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_c4.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_c8.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_i16.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_i4.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_i8.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_r10.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_r16.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_r4.c
    branches/gcc-4_1-branch/libgfortran/generated/sum_r8.c
    branches/gcc-4_1-branch/libgfortran/m4/iforeach.m4
    branches/gcc-4_1-branch/libgfortran/m4/ifunction.m4
    branches/gcc-4_1-branch/libgfortran/m4/maxloc0.m4
    branches/gcc-4_1-branch/libgfortran/m4/maxloc1.m4
    branches/gcc-4_1-branch/libgfortran/m4/maxval.m4
    branches/gcc-4_1-branch/libgfortran/m4/minloc0.m4
    branches/gcc-4_1-branch/libgfortran/m4/minloc1.m4
    branches/gcc-4_1-branch/libgfortran/m4/minval.m4
    branches/gcc-4_1-branch/libgfortran/m4/product.m4
    branches/gcc-4_1-branch/libgfortran/m4/sum.m4

Comment 6 Thomas Koenig 2006-03-29 19:31:15 UTC
Fixed on 4.1.  Closing.